<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_aardvark_postit', language 'en', version '2.0'.
 *
 * @package     theme_aardvark_postit
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['choosereadme'] = '<div class="clearfix"><div class="theme_screenshot">

<h2>Aardvark 2.1</h2>
<img src="aardvark_postit/pix/screenshot.jpg" />

<h2>About</h2>
<p>Aardvark is a three column fluid-width theme for Moodle 2.1+ originally created by Shaun Daubney for <a href="http://www.newbury-college.ac.uk">Newbury College</a> with help from Mary Evans.</p>

<h2>Roadmap</h2>
<p>2.1.2 (Postit BETA)</p>
<ul>
  <li>
    <p>Change graphic wrap (postit) from Theme Settings</p>
  </li>
  <li>
    <p>Additional development, adding block regions to \'Profile Bar\' by Mary Evans</p>
  </li>
</ul>
<h2>Version History</h2>
<p>2.1.0 (Space Invader)</p>
<ul>
  <li>
    <p>Complete rewrite for Moodle 2.1+</p>
  </li>
  <li>
    <p>Menubar replaced with built-in version (Moodle Custom Menu)</p>
  </li>
  <li>
    <p>New icon set</p>
  </li>
  <li>
    <p>Added \'Profile Bar\'</p>
  </li>
  <li>
    <p>Upcoming Events in \'Profile Bar\'</p>
  </li>
  <li>
    <p>Added settings controls</p>
  </li>
</ul>
<p>1.5 (Aquarium) </p>
<ul>
  <li>
    <p>Graphic changes</p>
  </li>
  <li>
    <p>Cosmetic changes to YUI Menubar and Profile Block</p>
  </li>
</ul>
<p>1.4 (MonkeyWrench)</p>
<ul>
  <li>
    <p>Fixed the issue with the Database module and the Aardvark menu</p>
  </li>
  <li>
    <p>js.php - renamed menujs.php</p>
  </li>
  <li>
    <p>.../pix/t - Switch icons changed</p>
  </li>
</ul>
<p>1.3 (I♥YUI)</p>
<ul>
  <li>
    <p>Replaced Aardvark menu with YUI menu<br />
    </p>
  </li>
</ul>
<p>  1.2 (Robocop)</p>
<ul>
  <li>
    <p>Rebuilt from ground up</p>
  </li>
  <li>
    <p> All CSS combined into one handy file</p>
  </li>
  <li>
    <p> Re-organised folder structure</p>
  </li>
  <li>
    <p> More modern styling/design</p>
  </li>
</ul>
<p>1.1 (Bearhug)</p>
<ul>
  <li>
    <p>Additional filetype icons added</p>
  </li>
  <li>
    <p>Forum controls added to restrict posted images to fit on to page</p>
  </li>
  <li>
    <p>Fixed calendar pop-ups</p>
  </li>
</ul>
<p> 1.0 (Morlock)</p>
<ul>
  <li>
    <p>Added additional login and navigation controls to footer</p>
  </li>
</ul>
<p>  0.5 (Termite)</p>
<ul>
  <li>
    <p>Fixed some issues with header rendering in some browers<br />
    </p>
  </li>
</ul>
<p>0.4 (Yeti)</p>
<ul>
  <li>
    <p>Fixed header login issues</p>
  </li>
  <li>
    <p>Replaced some missing icons from PIX folder</p>
  </li>
  <li>
    <p> Themeswitch and JS Query files removed</p>
  </li>
</ul>
<p>  0.3 (Critter)</p>
<ul>
  <li>
    <p>Added IF variable to show &quot;login&quot; option in header when user not logged in</p>
  </li>
  <li>
    <p> Replaced \'fixed typed\' options with language adjustable versions from LANG.</p>
  </li>
</ul>
<p> 0.2 (Juiced)</p>
<ul>
  <li>
    <p>New colour scheme</p>
  </li>
  <li>
    <p> Topic areas styled</p>
  </li>
  <li>
    <p> Footer modified</p>
  </li>
  <li>
    <p>Changes to calendar styles</p>
  </li>
  <li>
    <p> Forums rough styled</p>
  </li>
</ul>
<p> 0.1 (Vertigo)</p>
<ul>
  <li>
    <p>Started again from scratch</p>
  </li>
  <li>
    <p> New navigation menu (called Top Menu), now pure CSS</p>
  </li>
  <li>
    <p> Lighter colour scheme</p>
  </li>
  <li>
    <p>User profile details in header</p>
  </li>
  <li>
    <p>Calendar styled</p>
  </li>
</ul>
<h2>Tweaks</h2>
<p>If you want to modify this theme, we recommend that you first duplicate it, then rename it before making your changes. This will prevent your customised theme from being overwritten by future Moodle upgrades, and you\'ll still have the original files if you make a mess. More information on modifying themes can be found in the <a href="http://docs.moodle.org/en/Theme">MoodleDocs</a>.</p>

<h2>Credits</h2>
<table width="550" border="0" cellpadding="4">
  <tr>
    <td width="100"><img src="http://moodle.org/pluginfile.php/78598/user/icon/f1" alt="Shaun Daubney" style="width:100px !important; height:100px !important;" /></td>
    <td width="150"><p><strong><a href="http://moodle.org/user/profile.php?id=299683">Shaun Daubney</a></strong><br />
    Theme creator and original development.</p></td>
    <td width="5">&nbsp;</td>
    <td width="100"><img src="http://moodle.org/pluginfile.php/632/user/icon/f1" alt="Martin Dougiamas" style="width:100px !important; height:100px !important;" /></td>
    <td width="150"><p><strong><a href="http://moodle.org/user/profile.php?id=1">Martin Dougiamas</a></strong><br />
      Founder and lead developer of Moodle VLE platform.</p></td>
  </tr>
  <tr>
    <td width="100"><img src="http://moodle.org/pluginfile.php/289029/user/icon/f1" alt="Mary Evans" style="width:100px !important; height:100px !important;" /></td>
    <td width="150"><p><strong><a href="http://moodle.org/user/profile.php?id=713800">Mary Evans</a></strong><br />
    Advanced \'Profile Bar\' programming (Region Blocks) plus additional theme PHP programming and debugging.</p></td>
    <td width="5">&nbsp;</td>
    <td width="100"><img src="http://images.ibsrv.net/ibsrv/res/src:www.bargainist.com/get/deals/images/2009/10/Fat.Cow.1.jpg" alt="FatCow Hosting" style="width:100px !important; height:100px !important;" /></td>
    <td width="150"><p><a href="http://www.fatcow.com/free-icons"><strong>FatCow Hosting</strong></a><br />
    Theme icons</p></td>
  </tr>
  <tr>
    <td width="100"><img src="http://moodle.org/pluginfile.php/167049/user/icon/f1" alt="Richard Oelmann" style="width:100px !important; height:100px !important;" /></td>
    <td width="150"><p><strong><a href="http://moodle.org/user/profile.php?id=480148">Richard Oelmann</a></strong><br />
    Advanced \'Profile Bar\' programming (Upcoming Events) BETA 2.1.2.</p></td>
    <td width="5">&nbsp;</td>
    <td width="100"><img src="http://moodle.org/pluginfile.php/1805/user/icon/f1" alt="James Cracknell" style="width:100px !important; height:100px !important;" /></td>
    <td width="150"><p><strong><a href="http://moodle.org/user/profile.php?id=101573">James Cracknell</a></strong><br />
    Theme production server testing.</p></td>
  </tr>
</table>
<p>With special thanks to Richard Elwell.</p>
</div></div>';
$string['configtitle'] = 'Aardvark Postit Settings Page';
$string['email'] = 'Email';
$string['emailurl'] = 'Email URL';
$string['emailurldesc'] = 'Enter the URL of your email service. (i.e http://mail.mycollege.ac.uk or http://www.mycollege.edu/mail)';
$string['footnote'] = 'Footnote';
$string['footnotedesc'] = 'The content from this textarea will be displayed in the footer of every page.';
$string['graphicwrap'] = 'Background Image';
$string['graphicwrapdesc'] = 'Change the background image in the graphic wrap. It\'s currently a goldfish, but if that\'s making you a bit seasick then paste the URL of the image you want to use in here. Please note the graphic isn\'t repeated and is centred so be careful with your design.';
$string['logo'] = 'Logo';
$string['logodesc'] = 'Change the logo of this theme by entering the URL to a new one (i.e., http://www.somesite/logo.png). As a reference, the default logo is 272px by 72px. A transparent .png will work best.';
$string['menuhovercolor'] = 'Menu Hover Colour';
$string['menuhovercolordesc'] = 'Change the colour of linked items on the menu bar.';
$string['myaccount'] = 'My Account';
$string['myblocks'] = 'My Blocks';
$string['mystuff'] = 'My Stuff';
$string['pluginname'] = 'Aardvark Postit';
$string['profilebarbg'] = 'Profile Bar Background';
$string['profilebarbgdesc'] = 'Change the background image in the profile bar. It\'s currently an opaque png image which is set to repeat, so your image needs to be similar in that it should ideally be a 100px by 100px png semi-transparent image, or a solid color if you prefer that. Just paste the URL of the image you want to use in here. Please note the graphic is repeated so be careful with your design.';
$string['region-side-post'] = 'Right';
$string['region-side-pre'] = 'Left';
